package tutorialJava.capitulo4_Arrays.ejercicios.bloque03;

import tutorialJava.UtilsArrays;

public class EjE_PicosDeUnArray {

	public static void main(String[] args) {
		int a[] = new int[] {7, 3, 20, 4, 6, 0, 5};
		
		int picos[] = picosDeArray(a);
		UtilsArrays.imprimeArray(picos);
	}

	
	public static int[] picosDeArray(int a[]) {
		int contPicos = 0;
		
		for (int i = 0; i < a.length; i++) {
			if (i == 0 && a[0] > a[1]) {
				contPicos++;
			}
			else {
				if (i == (a.length - 1) && a[a.length-1] > a[a.length-2]) {
					contPicos++;
				}
				else {
					if (a[i] > a[i-1] && a[i] > a[i+1]) {
						contPicos++;
					}
				}
			}
		}
		
		int picos[] = new int[contPicos];
		int indiceArrayPicos = 0;
		for (int i = 0; i < a.length; i++) {
			if (i == 0 && a[0] > a[1]) {
				picos[indiceArrayPicos] = a[i];
				indiceArrayPicos++;
			}
			else {
				if (i == (a.length - 1) && a[a.length-1] > a[a.length-2]) {
					picos[indiceArrayPicos] = a[i];
					indiceArrayPicos++;
				}
				else {
					if (a[i] > a[i-1] && a[i] > a[i+1]) {
						picos[indiceArrayPicos] = a[i];
						indiceArrayPicos++;
					}
				}
			}
		}
		
		return picos;
	}
}











